$LOAD_PATH.unshift(File.dirname(__FILE__))
$LOAD_PATH.unshift(File.join(File.dirname(__FILE__), '..', 'lib'))
require 'rubygems'
require 'vcr'
require 'spec'
require 'spec/autorun'

begin
  require 'ruby-debug'
  Debugger.start
  Debugger.settings[:autoeval] = true if Debugger.respond_to?(:settings)
rescue LoadError
  # ruby-debug wasn't available so neither can the debugging be
end

# Requires supporting files with custom matchers and macros, etc,
# in ./support/ and its subdirectories.
Dir[File.expand_path(File.join(File.dirname(__FILE__),'support','**','*.rb'))].each {|f| require f}

Spec::Runner.configure do |config|
  config.extend TempCassetteLibraryDir
  config.extend DisableWarnings
  config.extend Deprecated

  config.before(:each) do
    VCR::Config.default_cassette_options = { :record => :new_episodes }
    FakeWeb.allow_net_connect = true
    FakeWeb.clean_registry
  end
end
